package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Dispatch Log Message
 */
@ApiModel(description = "Dispatch Log Message")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class OpenApiWebhookLogMessageVo   {
  @JsonProperty("url")
  private String url;

  @JsonProperty("webhookMessage")
  private OpenApiWebhookMessageVo webhookMessage;

  @JsonProperty("dispatchTime")
  private Long dispatchTime;

  public OpenApiWebhookLogMessageVo url(String url) {
    this.url = url;
    return this;
  }

  /**
   * Webhook URL
   * @return url
  */
  @ApiModelProperty(value = "Webhook URL")


  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }

  public OpenApiWebhookLogMessageVo webhookMessage(OpenApiWebhookMessageVo webhookMessage) {
    this.webhookMessage = webhookMessage;
    return this;
  }

  /**
   * Get webhookMessage
   * @return webhookMessage
  */
  @ApiModelProperty(value = "")

  @Valid

  public OpenApiWebhookMessageVo getWebhookMessage() {
    return webhookMessage;
  }

  public void setWebhookMessage(OpenApiWebhookMessageVo webhookMessage) {
    this.webhookMessage = webhookMessage;
  }

  public OpenApiWebhookLogMessageVo dispatchTime(Long dispatchTime) {
    this.dispatchTime = dispatchTime;
    return this;
  }

  /**
   * Webhook Dispatch Log Time, Unit (ms)
   * @return dispatchTime
  */
  @ApiModelProperty(value = "Webhook Dispatch Log Time, Unit (ms)")


  public Long getDispatchTime() {
    return dispatchTime;
  }

  public void setDispatchTime(Long dispatchTime) {
    this.dispatchTime = dispatchTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OpenApiWebhookLogMessageVo openApiWebhookLogMessageVo = (OpenApiWebhookLogMessageVo) o;
    return Objects.equals(this.url, openApiWebhookLogMessageVo.url) &&
        Objects.equals(this.webhookMessage, openApiWebhookLogMessageVo.webhookMessage) &&
        Objects.equals(this.dispatchTime, openApiWebhookLogMessageVo.dispatchTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(url, webhookMessage, dispatchTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OpenApiWebhookLogMessageVo {\n");
    
    sb.append("    url: ").append(toIndentedString(url)).append("\n");
    sb.append("    webhookMessage: ").append(toIndentedString(webhookMessage)).append("\n");
    sb.append("    dispatchTime: ").append(toIndentedString(dispatchTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

